# Generated by Django 3.0.2 on 2020-02-03 11:34

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="PersistedScrapeResult",
            fields=[
                (
                    "url",
                    models.URLField(max_length=500, primary_key=True, serialize=False),
                ),
                ("html_version", models.CharField(max_length=200)),
                ("title", models.CharField(max_length=200, null=True)),
                ("h1", models.PositiveSmallIntegerField(default=0)),
                ("h2", models.PositiveSmallIntegerField(default=0)),
                ("h3", models.PositiveSmallIntegerField(default=0)),
                ("h4", models.PositiveSmallIntegerField(default=0)),
                ("h5", models.PositiveSmallIntegerField(default=0)),
                ("h6", models.PositiveSmallIntegerField(default=0)),
                ("internal_links", models.PositiveSmallIntegerField(default=0)),
                ("external_links", models.PositiveSmallIntegerField(default=0)),
                ("unreachable_links", models.PositiveSmallIntegerField(default=0)),
                ("login_forms", models.PositiveSmallIntegerField(default=0)),
                ("stored", models.DateTimeField(auto_now_add=True)),
            ],
        ),
    ]
